<html>

	<head>
		<meta http-equiv="content-type" content="text/html;charset=iso-8859-1">
		<meta name="generator" content="Adobe GoLive 5">
		<title>Getting Started with JADE</title>
		<link rel="stylesheet" href="../cps.css">
	</head>

	<body bgcolor="#d3d3d3" text="black">
		<h1>JADE Administration Tutorial</h1>
		<p><i>Author</i>: <a href="http://www.ryerson.ca/~dgrimsha"> </a><a href="http://www.ryerson.ca/%7edgrimsha">David Grimshaw</a> (<a href="http://www.ryerson.ca">Ryerson University</a>)</p>
		<p><i>Last Modified: </i>March 26, 2010</p>
		<p><i>Java Platform:</i> <a href="http://java.sun.com/j2se/">Java Standard Edition</a> 5 or later.</p>
		<p><i><a href="https://jade-project.gitlab.io/">JADE </a>version</i>: 4.0 or later.</p>
		<p>This set of tutorials is designed to help readers getting started with JADE. It addresses aspects related
		to the management and administration of a JADE based system such as starting and shutting down the
		platform, running agents on it and using the most common configuration options. More information are available 
		in the JADE Administrator's Guide available in the online documentation section of the JADE web site.<br>
		<i>It should be noticed that this tutorial does not deal with programming aspects. Refer to the 
		<a href="https://jade-project.gitlab.io/docs/JADEProgramming-Tutorial-for-beginners.pdf">JADE Programming Tutorial</a> for details about them.</i> </p>
		<p></p>
		<h2>Tutorials</h2>
		<ol>
			<li><a href="jadeArchitecture.html">JADE Architecture overview</a> - This tutorial provides an overview of the main JADE architectural elements and introduces the notions of Agent, Container, Main Container, Platform, AMS and DF.
			<li><a href="startJade.html">Starting JADE</a> - This tutorial shows how to launch the JADE runtime and how to use the JADE Management GUI.
			<li><a href="JadeContainerTutorial.html">Creating a distributed platform</a> - This tutorial shows how to start peripheral containers thus creating a distributed JADE platform
			<li><a href="JadePlatformTutorial.html">Running multiple JADE platforms</a> - This tutorial shows how to run multiple platforms and how to make agents living in different platforms communicate through the HTTP MTP
			<!-- 
			<li><a href="HttpMtpTutorial.html">Using the HTTP Message Transport Protocol.</a>
			<li><a href="jadeJbuilderTutorial2.html">Using JBuilder with JADE.</a>
			-->
		</ol>
		<p>
		<i>All paths in this tutorial are written assuming you are using a Windows Operating System. If you are 
		using a Linux or Unix Operating System, remember to change all '\' included in file system paths in '/' 
		and all ';' included in classpaths in ':'</i>
		</p>
	</body>

</html>